# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name vector

Name:           ghc-%{pkg_name}
# part of haskell-platform-2012.4+
Version:        0.10.0.1
Release:        7%{?dist}
Summary:        Efficient Arrays

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         vector-debian-no_ann_without_ghci.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-primitive-devel
# End cabal-rpm deps

%description
An efficient implementation of Int-indexed arrays (both mutable
and immutable), with a powerful loop optimisation framework.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
# Monad.hs fails on ppc too
%ifnarch %(echo %{ghc_arches_with_ghci} | sed -e s/ppc//)
%patch1 -p1 -b .orig
%endif


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun  4 2013 Jens Petersen <petersen@redhat.com> - 0.10.0.1-6
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 12 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-4
- also skip the annotation for ppc

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-3
- correct the annotation patch to not use DEBIAN_NO_GHCI

* Thu Dec  6 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-2
- skip Data.Vector.Fusion.Stream.Monadic annotation on archs without ghci
  and build on all archs

* Tue Nov 27 2012 Jens Petersen <petersen@redhat.com> - 0.10.0.1-1
- update to 0.10.0.1, part of haskell-platform-2012.4

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com>
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-4
- change prof BRs to devel

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-3
- add license to ghc_files

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-2
- only build on ghc_arches_with_ghci because of annotation use

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- update to 0.9.1 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.7.1-2.1
- rebuild with new gmp without compat lib

* Tue Sep 13 2011 Jens Petersen <petersen@redhat.com> - 0.7.1-2
- rebuild against newer ghc-rpm-macros

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.7.1-1
- BSD license

* Thu Sep  8 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
